Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.gouv.culture.sdx.search.lucene.queryparser
Interface DefaultQueryParserConstants

All Known Implementing Classes:
  DefaultQueryParser, DefaultQueryParserTokenManager

public interface DefaultQueryParserConstants

Field Summary
`static int` | `_ESCAPED_CHAR`
`static int` | `_NUM_CHAR`
`static int` | `_TERM_CHAR`
`static int` | `_TERM_START_CHAR`
`static int` | `_WHITESPACE`
`static int` | `AND`
`static int` | `Boost`
`static int` | `CARAT`
`static int` | `COLON`
`static int` | `DEFAULT`
`static int` | `EOF`
`static int` | `FUZZY`
`static int` | `LPAREN`
`static int` | `MINUS`
`static int` | `NO_ANALYSIS`
`static int` | `NOT`
`static int` | `NUMBER`
`static int` | `OR`
`static int` | `PLUS`
`static int` | `PREFIXTERM`
`static int` | `QUOTED`
`static int` | `RangeEx`
`static int` | `RANGEEX_END`
`static int` | `RANGEEX_GOOP`
`static int` | `RANGEEX_QUOTED`
`static int` | `RANGEEX_START`
`static int` | `RANGEEX_TO`
`static int` | `RangeIn`
`static int` | `RANGEIN_END`
`static int` | `RANGEIN_GOOP`
`static int` | `RANGEIN_QUOTED`
`static int` | `RANGEIN_START`
`static int` | `RANGEIN_TO`
`static int` | `RPAREN`
`static int` | `SLOP`
`static int` | `SPECIAL_ANALYZER`
`static int` | `TERM`
`static java.lang.String[]` | `tokenImage`
`static int` | `WILDTERM`

Field Detail

### EOF

    public static final int EOF

See Also:
  Constant Field Values

### _NUM_CHAR

    public static final int _NUM_CHAR

See Also:
  Constant Field Values

### _ESCAPED_CHAR

    public static final int _ESCAPED_CHAR

See Also:
  Constant Field Values

### _TERM_START_CHAR

    public static final int _TERM_START_CHAR

See Also:
  Constant Field Values

### _TERM_CHAR

    public static final int _TERM_CHAR

See Also:
  Constant Field Values

### _WHITESPACE

    public static final int _WHITESPACE

See Also:
  Constant Field Values

### AND

    public static final int AND

See Also:
  Constant Field Values

### OR

    public static final int OR

See Also:
  Constant Field Values

### NOT

    public static final int NOT

See Also:
  Constant Field Values

### PLUS

    public static final int PLUS

See Also:
  Constant Field Values

### MINUS

    public static final int MINUS

See Also:
  Constant Field Values

### LPAREN

    public static final int LPAREN

See Also:
  Constant Field Values

### RPAREN

    public static final int RPAREN

See Also:
  Constant Field Values

### COLON

    public static final int COLON

See Also:
  Constant Field Values

### CARAT

    public static final int CARAT

See Also:
  Constant Field Values

### QUOTED

    public static final int QUOTED

See Also:
  Constant Field Values

### NO_ANALYSIS

    public static final int NO_ANALYSIS

See Also:
  Constant Field Values

### SPECIAL_ANALYZER

    public static final int SPECIAL_ANALYZER

See Also:
  Constant Field Values

### TERM

    public static final int TERM

See Also:
  Constant Field Values

### FUZZY

    public static final int FUZZY

See Also:
  Constant Field Values

### SLOP

    public static final int SLOP

See Also:
  Constant Field Values

### PREFIXTERM

    public static final int PREFIXTERM

See Also:
  Constant Field Values

### WILDTERM

    public static final int WILDTERM

See Also:
  Constant Field Values

### RANGEIN_START

    public static final int RANGEIN_START

See Also:
  Constant Field Values

### RANGEEX_START

    public static final int RANGEEX_START

See Also:
  Constant Field Values

### NUMBER

    public static final int NUMBER

See Also:
  Constant Field Values

### RANGEIN_TO

    public static final int RANGEIN_TO

See Also:
  Constant Field Values

### RANGEIN_END

    public static final int RANGEIN_END

See Also:
  Constant Field Values

### RANGEIN_QUOTED

    public static final int RANGEIN_QUOTED

See Also:
  Constant Field Values

### RANGEIN_GOOP

    public static final int RANGEIN_GOOP

See Also:
  Constant Field Values

### RANGEEX_TO

    public static final int RANGEEX_TO

See Also:
  Constant Field Values

### RANGEEX_END

    public static final int RANGEEX_END

See Also:
  Constant Field Values

### RANGEEX_QUOTED

    public static final int RANGEEX_QUOTED

See Also:
  Constant Field Values

### RANGEEX_GOOP

    public static final int RANGEEX_GOOP

See Also:
  Constant Field Values

### Boost

    public static final int Boost

See Also:
  Constant Field Values

### RangeEx

    public static final int RangeEx

See Also:
  Constant Field Values

### RangeIn

    public static final int RangeIn

See Also:
  Constant Field Values

### DEFAULT

    public static final int DEFAULT

See Also:
  Constant Field Values

### tokenImage

    public static final java.lang.String[] tokenImage

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 Ministere de la culture et de la communication / AJLSM. All Rights Reserved.